Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.output.xsd.basic
Class ComplexTypeComplexContent

    java.lang.Object
      convert.relaxng.output.xsd.basic.ComplexType
          convert.relaxng.output.xsd.basic.ComplexTypeAllowedContent
              convert.relaxng.output.xsd.basic.ComplexTypeComplexContent

    public class ComplexTypeComplexContent

extends ComplexTypeAllowedContent

Constructor Summary
`ComplexTypeComplexContent(AttributeUse attributeUses, Particle particle, boolean mixed)` particle may be null

Method Summary
`
`<T> T`
` | `accept(ComplexTypeVisitor<T> visitor)`
`boolean` | `equals(java.lang.Object obj)`
`Particle` | `getParticle()`
`int` | `hashCode()`
`boolean` | `isMixed()`

Methods inherited from class convert.relaxng.output.xsd.basic.ComplexTypeAllowedContent
`getAttributeUses`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplexTypeComplexContent

    public ComplexTypeComplexContent(AttributeUse attributeUses,
                                     Particle particle,
                                     boolean mixed)

  particle may be null

Method Detail

### getParticle

    public Particle getParticle()

### isMixed

    public boolean isMixed()

  Overrides:
    `isMixed` in class `ComplexType`

### accept

    public <T> T accept(ComplexTypeVisitor<T> visitor)

  Specified by:
    `accept` in class `ComplexType`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD